import { createRouter, createWebHistory } from 'vue-router'


const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'index',
      component:() => import('../components/index.vue')
    },
    {
      path:'/login',
      name:'login',
      component:()=>import('../components/login.vue')
    },
    {
      path:'/register',
      name:'register',
      component:()=>import('../components/register.vue')
    },
    {
      path:'/success',
      name:'success',
      component:()=>import('../components/success.vue')
    },
    {
      path:'/manager',
      name:'manager',
      component:()=>import('../manager/manager.vue'),
      children:[{
        path:'/manager/UserManage',
        component:()=>import('../manager/Data/UserManage.vue')
      },
        {
          path:'/manager/RoleManage',
          component:()=>import('../manager/Data/RoleManage.vue')
        }, {
          path:'/manager/PermissionsManage',
          component:()=>import('../manager/Data/PermissionsManage.vue')
        }, {
          path:'/manager/LogManage',
          component:()=>import('../manager/Data/LogManage.vue')
        }, {
          path:'/manager/MessageManage',
          component:()=>import('../manager/Data/MessageManage.vue')
        }, {
          path:'/manager/DailyReportManage',
          component:()=>import('../manager/Data/DailyReportManage.vue')
        }, {
          path:'/manager/CarouselManagement',
          component:()=>import('../manager/Data/CarouselManagement.vue')
        }, {
          path:'/manager/TeamIntroduction',
          component:()=>import('../manager/Data/TeamIntroduction.vue')
        },{
          path:'/manager/ProjectRecommendations',
          component:()=>import('../manager/Data/ProjectRecommendations.vue')
        }, {
          path:'/manager/NewsDisplay',
          component:()=>import('../manager/Data/NewsDisplay.vue')
        }, {
          path:'/manager/UserRecommendations',
          component:()=>import('../manager/Data/UserRecommendations.vue')
        }, {
          path:'/manager/ProjectInformationManagement',
          component:()=>import('../manager/Data/ProjectInformationManagement.vue')
        }, {
          path:'/manager/TeamInformationManagement',
          component:()=>import('../manager/Data/TeamInformationManagement.vue')
        }, {
          path:'/manager/NewsInformationManagement',
          component:()=>import('../manager/Data/NewsInformationManagement.vue')
        }
      ]},
    {
      path:'/components/login',
      component:()=>import('../components/login.vue')
    }


  ]
})

export default router
